/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2010-08-16 17:44:08Z
 *****************************************************************************/

#ifndef __RSDVSG_ATTRIBUTES_HEADER
#define __RSDVSG_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsdvsg_dashInt_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsdvsg_dashReal_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsdvsg_quotedString_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rsdvsg_rngStatus;
extern RsRangeTable rsdvsg_rngTVStandard;
extern RsRangeTable rsdvsg_rngTimingVideoResolution;
extern RsRangeTable rsdvsg_rngTimingVideoAspectRatio;
extern RsRangeTable rsdvsg_rngInterfaceNTSCPedestal;
extern RsRangeTable rsdvsg_rngInterfaceColorComponent;
extern RsRangeTable rsdvsg_rngInterfaceComponentHDTV;
extern RsRangeTable rsdvsg_rngInterfaceMonitorSelect;
extern RsRangeTable rsdvsg_rngInterfaceMonitorScartFormat;
extern RsRangeTable rsdvsg_rngInterfaceTsAsi;
extern RsRangeTable rsdvsg_rngInterfacePacketLength;
extern RsRangeTable rsdvsg_rngInterfaceRGBSync;
extern RsRangeTable rsdvsg_rngGeneratorVideoFrame;
extern RsRangeTable rsdvsg_rngGeneratorVideoFrameRate;
extern RsRangeTable rsdvsg_rngGeneratorAudioSamplingRate;
extern RsRangeTable rsdvsg_rngGeneratorVerticalPixelshift;
extern RsRangeTable rsdvsg_rngGeneratorVideoAdjustment;
extern RsRangeTable rsdvsg_rngGeneratorVideoResolClip;
extern RsRangeTable rsdvsg_rngGeneratorVideoAmplification;
extern RsRangeTable rsdvsg_rngGeneratorRGBVideoLevel;
extern RsRangeTable rsdvsg_rngGeneratorVideoOffset;
extern RsRangeTable rsdvsg_rngGeneratorYCrCbVideoLevel;
extern RsRangeTable rsdvsg_rngGeneratorAudioSource;
extern RsRangeTable rsdvsg_rngGeneratorAudioChAlloc;
extern RsRangeTable rsdvsg_rngGeneratorAudioLevel;
extern RsRangeTable rsdvsg_rngGeneratorAudioResolution;
extern RsRangeTable rsdvsg_rngGeneratorAudioChannelFreq;
extern RsRangeTable rsdvsg_rngTSApplication;
extern RsRangeTable rsdvsg_rngTSDataRate;
extern RsRangeTable rsdvsg_rngTSByteDataRate;
extern RsRangeTable rsdvsg_rngTSPCRJitterWaveform;
extern RsRangeTable rsdvsg_rngTSPCRJitterAmplitude;
extern RsRangeTable rsdvsg_rngTSPCRJitterFrequency;
extern RsRangeTable rsdvsg_rngTSSerialOutput;
extern RsRangeTable rsdvsg_rngTSInterfaceStopData;
extern RsRangeTable rsdvsg_rngTSNullpackets;
extern RsRangeTable rsdvsg_rngTSPayload;
extern RsRangeTable rsdvsg_rngTSPRBS;
extern RsRangeTable rsdvsg_rngTSRecorderInterfaceInput;
extern RsRangeTable rsdvsg_rngTSRecorderInterfaceRecSize;
extern RsRangeTable rsdvsg_rngTSRecorderInterfaceRecMode;
extern RsRangeTable rsdvsg_rngRefOscillatorSource;
extern RsRangeTable rsdvsg_rngInterfaceColorSystem;
extern RsRangeTable rsdvsg_rngSaveRecall;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSDVSG_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSDVSG_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSDVSG_RS_ATTR_CACHE;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSDVSG_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSDVSG_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SPY;
extern RsAttrProperties g_RSDVSG_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSDVSG_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSDVSG_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSDVSG_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSDVSG_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSDVSG_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSDVSG_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSDVSG_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSDVSG_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSDVSG_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSDVSG_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSDVSG_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSDVSG_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSDVSG_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSDVSG_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSDVSG_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSDVSG_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_MODE;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_STATUS;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_STATUS;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_SOURCE;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_FILE_INFO;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_ORIGINAL_LOOP_TIME;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_ORIGINAL_TS_DATA_RATE;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_FILE_START_POSITION;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_FILE_STOP_POSITION;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_CURRENT_PLAY_TIME;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_TV_STANDARD;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_SERVICE_LIST_INDEX;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_SERVICE_LIST_MAXIMUM_NUMBER;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_SERVICE_LIST_INFO;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_VIDEO_LIST_INDEX;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_VIDEO_LIST_MAXIMUM_NUMBER;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_VIDEO_LIST_INFO;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_VIDEO_CODING;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_VIDEO_ES_DATA_RATE;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_VIDEO_FRAME_RATE;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_VIDEO_PICTURE_SIZE;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_VIDEO_PICTURE_FORMAT;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_AUDIO_LIST_INDEX;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_AUDIO_LIST_MAXIMUM_NUMBER;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_AUDIO_LIST_INFO;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_AUDIO_CODING;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_AUDIO_ES_DATA_RATE;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_AUDIO_SAMPLING_RATE;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_VIDEO_RESOLUTION;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_VIDEO_ASPECT_RATIO;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_INTERFACE_CONFORMITY;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_INTERFACE_HDMI_HDCP;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_INTERFACE_HDMI_DVI;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_INTERFACE_HD_SDI_RESOLUTION;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_INTERFACE_HD_SDI_EMBEDDED_AUDIO;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_INTERFACE_COMPOSITE_NTSC_PEDESTAL;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_INTERFACE_COMPOSITE_MACRO_VISION;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_INTERFACE_COLOR_SYSTEM;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_INTERFACE_COMPONENT;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_INTERFACE_COMPONENT_HDTV_SYNC;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_INTERFACE_MONITOR_INPUT_SELECT;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_PLAYER_INTERFACE_SCART_FORMAT_WSS;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_INTERFACE_YC;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_INTERFACE_VGA;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_INTERFACE_TS_ASI;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_INTERFACE_TS_PACKET_LENGTH;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_PLAYER_INTERFACE_RGB_SYNC;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_MODE;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_STATUS;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_GENERATOR_STATUS;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_SOURCE;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_VIDEO_FRAME;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_VIDEO_FRAME_RATE;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_AUDIO_SAMPLING_RATE;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_PIXELSHIFT;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_VERTICAL_PIXELSHIFT;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_VIDEO_ADJUSTMENT;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_VIDEO_RESOLUTION_CLIPPING;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_RGB_VIDEO_OVERALL_AMPLIFICATION;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_RGB_VIDEO_R_LEVEL;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_RGB_VIDEO_G_LEVEL;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_RGB_VIDEO_B_LEVEL;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_VIDEO_OFFSET;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_YCRCB_VIDEO_CHROMA_AMPLIFICATION;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_YCRCB_VIDEO_OVERALL_AMPLIFICATION;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_YCRCB_VIDEO_Y_LEVEL;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_YCRCB_VIDEO_CB_PB_LEVEL;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_YCRCB_VIDEO_CR_PR_LEVEL;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_AUDIO_SOURCE;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_AUDIO_CHANNEL_ALLOCATION;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_AUDIO_LEVEL;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_AUDIO_RESOLUTION;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_AUDIO_FREQUENCY;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_GENERATOR_INTERFACE_CONFORMITY;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_INTERFACE_HDMI_HDCP;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_INTERFACE_HDMI_DVI;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_INTERFACE_COMPOSITE_NTSC_PEDESTAL;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_INTERFACE_COMPOSITE_MACRO_VISION;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_GENERATOR_INTERFACE_COMPOSITE;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_INTERFACE_COMPONENT;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_GENERATOR_INTERFACE_COMPONENT_HDTV_SYNC;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_GENERATOR_INTERFACE_YC;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_INTERFACE_SCART_MONITOR_INPUT_SELECT;
extern RsAttrProperties g_RSDVSG_ATTR_AV_SIGNAL_GENERATOR_INTERFACE_SCART_FORMAT_WSS;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_GENERATOR_INTERFACE_VGA;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_GENERATOR_INTERFACE_TS_PACKET_LENGTH;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_GENERATOR_INTERFACE_ASI;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_AV_SIGNAL_GENERATOR_INTERFACE_RGB_SYNC;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_MODE;
extern RsAttrProperties g_RSDVSG_ATTR_TS_APPLICATION;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_AND_RECORDER_STATUS;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_TS_PLAYER_AND_RECORDER_STATUS;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_SOURCE;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_TS_PLAYER_FILE_DATE_SIZE;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_TS_PLAYER_ORIGINAL_LOOP_TIME;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_TS_PLAYER_ORIGINAL_TS_DATA_RATE;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_TS_PLAYER_CURRENT_PLAY_TIME;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_TIMING_SETTINGS_TS_DATA_RATE;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_TIMING_SETTINGS_PLAY_WINDOW_START;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_TIMING_SETTINGS_PLAY_WINDOW_STOP;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_BYTE_RATE;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_NULLPACKET_STUFFING;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_PCR_JITTER;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_PCR_JITTER_WAVEFORM;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_PCR_JITTER_AMPLITUDE;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_PCR_JITTER_FREQUENCY;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_SEAMLESS_LOOP_CONTINUITY_COUNTER;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_SEAMLESS_LOOP_PCR_DTS_PTS;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_SEAMLESS_LOOP_TDT_TOT;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_INTERFACE_SETTINGS_PACKET_LENGTH;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_INTERFACE_SETTINGS_TS_SERIAL_OUTPUT;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_INTERFACE_SETTINGS_STOP_DATA;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_NULLPACKET;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_PAYLOAD;
extern RsAttrProperties g_RSDVSG_ATTR_TS_PLAYER_PRBS;
extern RsAttrProperties g_RSDVSG_ATTR_NEW_TS_RECORDER_STREAM;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_TS_RECORDER_FREE_MEMORY;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_TS_RECORDER_INPUT_TS_DATA_RATE;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_TS_RECORDER_RECORD_LENGTH;
extern RsAttrProperties g_RSDVSG_ATTR_QUERY_TS_RECORDER_PROGRESS;
extern RsAttrProperties g_RSDVSG_ATTR_TS_RECORDER_INTERFACE_SETTINGS_INPUT;
extern RsAttrProperties g_RSDVSG_ATTR_TS_RECORDER_INTERFACE_SETTINGS_RECORD_SIZE;
extern RsAttrProperties g_RSDVSG_ATTR_TS_RECORDER_INTERFACE_SETTINGS_RECORD_MODE;
extern RsAttrProperties g_RSDVSG_ATTR_FILE_MANAGER_MAKE_DIRECTORY;
extern RsAttrProperties g_RSDVSG_ATTR_FILE_MANAGER_DELETE_FILE;
extern RsAttrProperties g_RSDVSG_ATTR_FILE_MANAGER_DELETE_DIRECTORY;
extern RsAttrProperties g_RSDVSG_ATTR_FILE_MANAGER_CHANGE_DIRECTORY;
extern RsAttrProperties g_RSDVSG_ATTR_FILE_MANAGER_CHANGE_DRIVES;
extern RsAttrProperties g_RSDVSG_ATTR_REFERENCE_OSCILLATOR_SOURCE;
extern RsAttrProperties g_RSDVSG_ATTR_SYSTEM_DISPLAY_UPDATE;
extern RsAttrProperties g_RSDVSG_ATTR_SYSTEM_KEYPAD_LOCK;
extern RsAttrProperties g_RSDVSG_ATTR_SYSTEM_VERSION;
extern RsAttrProperties g_RSDVSG_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSDVSG_ATTR_SYSTEM_ALL_ERRORS;
extern RsAttrProperties g_RSDVSG_ATTR_SYSTEM_PRESET;
extern RsAttrProperties g_RSDVSG_ATTR_STORE_INSTRUMENT_DATA;
extern RsAttrProperties g_RSDVSG_ATTR_RECALL_INSTRUMENT_DATA;
extern RsAttrProperties g_RSDVSG_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rsdvsg_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rsdvsg_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSDVSG_ATTRIBUTES_HEADER */
